Package ru.bitel.oss.systems.inventory.resource.common.bean

# Class VlanResource

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.oss.systems.inventory.resource.common.bean.VlanResource

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class VlanResource extends IdTitle

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.common.model.IdTitle

  `IdTitle.Builder, IdTitle.IdTitleBuilder`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT, title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VlanResource()`
  `VlanResource(int id, String title)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getCategoryId()`
  `String`
  `getComment()`
  `Date`
  `getDateFrom()`
  `Date`
  `getDateTo()`
  `int`
  `getVlanFrom()`
  `int`
  `getVlanTo()`
  `VlanResource`
  `setCategoryId(int categoryId)`
  `void`
  `setComment(String comment)`
  `void`
  `setDateFrom(Date dateFrom)`
  `void`
  `setDateTo(Date dateTo)`
  `void`
  `setVlanFrom(int vlanFrom)`
  `void`
  `setVlanTo(int vlanTo)`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setId, setTitle, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### VlanResource

    public VlanResource()

  - ### VlanResource

    public VlanResource(int id, String title)

- ## Method Details

  - ### getVlanFrom

    public int getVlanFrom()

  - ### setVlanFrom

    public void setVlanFrom(int vlanFrom)

  - ### getVlanTo

    public int getVlanTo()

  - ### setVlanTo

    public void setVlanTo(int vlanTo)

  - ### getDateFrom

    public Date getDateFrom()

  - ### setDateFrom

    public void setDateFrom(Date dateFrom)

  - ### getDateTo

    public Date getDateTo()

  - ### setDateTo

    public void setDateTo(Date dateTo)

  - ### getComment

    public String getComment()

  - ### setComment

    public void setComment(String comment)

  - ### getCategoryId

    public int getCategoryId()

  - ### setCategoryId

    public VlanResource setCategoryId(int categoryId)